---
marp: true
paginate: true
backgroundColor: white
auto-scaling: fittingHeader
theme: default
---

<!--
SIGit - Secure & Private Agreements

Presentation at the 2024 Nostr Hack day in Berlin
-->

# SIGit

## Secure & Private Agreements

![bg right:35% height:350](../img/sigit.png)

<!--

-->
---
<!-- header: ![h:6em align:right](../img/sigitbig.png) -->

# Examples

- rental contracts
- credit agreements
- business arrangements

_Also single party - signing digital content_

![bg right:46% height:550](../img/agreement.jpg)

---
# Problem with Legacy Solutions

_all the trust thats required to make it work_

- Hardware / Software providers have full access
- Reliant on email / SMS / KYC for identity
- Require a server or SaaS subscription (bank account)

---

# What is SIGit?

**Decentralised Document Signing**

  - `> Secure`
    - key control
  - `> Private`
    - local encryption

_Be Your Own Notary_
![bg right:40% height:400](../img/sigit.png)


---

# What makes SIGit Secure?

 - A key you can put in your pocket
 - Small attack surface (no email server or VPS)
 - Content is signed directly (no DB logic involved)

 _Our entire infrastructure could be nuked, but as long as you have your SIGit, your Agreement can be verified_

 ---

# What makes SIGit Private?

_The power to selectively reveal your agreement_

 - Everything encrypted locally
 - Relay data anonymised
 - Even works offline

---

# Demo

- https://sigit.io
- https://staging.sigit.io

 ---

 # Roadmap (imminent)

 - OpenTimestamps accreditation
 - Nostr-Login login
 - Mixed online / offline flow

 ---

 # Roadmap (longer term)

 - Choose multiple blossom servers
 - Create in-app agreements
 - Publish (public) SIGits

 _features driven by user feedback_

 ---

 # Monetisation

 Option to purchase a premium package for:

  - Long term blossom storage
  - Long term relay storage
  - Email Flow



---

# About Us

- [Nostr Development Studio](https://nostrdev.com)
- https://chat.nostrdev.com

![bg right:55% height:600](../img/projects.png)
